/* 
  * Aggiornato al 26/11/19 *  
  Programma da utilizzare per la taratura del trimmer dei servomotori continui
  AR-3606HB o i SM-S4303R.
  La taratura serve a sicronizzare la posizione servo 90 allo stop dei motori.
  Impostando 90 il motore non deve ruotare, in caso contrario agire delicatamente
  sul trimmer di taratura.
  Il trimmer serve soloamente a tarare lo stop e non a variare la velocità del motore!!!
*/

/******************************************************************
                             Librerie
 ******************************************************************/

#include <Servo.h>

/******************************************************************
                Definizione dei pin e delle variabili
 ******************************************************************/

/* Definizione dei PIN usati sulla scheda */
#define pinruotaSinistra         8   /*  Sinistra servo Ruota       */
#define pinruotaDestra           9   /*  Destra servo Ruota         */

/* Definitione dei valori dei valori che possono assumere servo a rotazione continua */
#define ruotaStopValore 90
#define ruotaSinistraAvantiValore 180 // 180 per i servo AR-3606HB,   0 per i servo SM-S4303R
#define ruotaSinistraIndietroValore 0 //   0 per i servo AR-3606HB, 180 per i servo SM-S4303R
#define ruotaDestraAvantiValore 0     //   0 per i servo AR-3606HB, 180 per i servo SM-S4303R
#define ruotaDestraIndietroValore 180 // 180 per i servo AR-3606HB,   0 per i servo SM-S4303R

/* Test supportati */
#define TARATURA_STOP_MOTORI 1
#define TEST_MOTORI_AVANTI   2
#define TEST_MOTORI_INDIETRO 3

/* Selezionare il tipo di test da effettuare decommentando il rigo giusto*/
int testSelected = TARATURA_STOP_MOTORI;
//int testSelected = TEST_MOTORI_AVANTI;
//int testSelected = TEST_MOTORI_INDIETRO;

/* Creazione oggetti per la libreria Servo */
Servo ruotaSinistra;                    /*  Valores from 0 to 180  */
Servo ruotaDestra;                      /*  Valores from 0 to 180  */

/* Default delay */
#define defaultDelay        10

void setup() {
  /* Define dei pin degli oggetti servo */
  ruotaSinistra.attach(pinruotaSinistra);
  ruotaDestra.attach(pinruotaDestra);
}

void loop() {
  if (testSelected == TARATURA_STOP_MOTORI) {
    ruotaSinistra.write(ruotaStopValore);
    delay(defaultDelay);
    ruotaDestra.write(ruotaStopValore);
    delay(defaultDelay);
  }

  if (testSelected == TEST_MOTORI_AVANTI) {
    ruotaSinistra.write(ruotaSinistraAvantiValore);
    delay(defaultDelay);
    ruotaDestra.write(ruotaDestraAvantiValore);
    delay(defaultDelay);
  }
  if (testSelected == TEST_MOTORI_INDIETRO) {
    ruotaSinistra.write(ruotaSinistraIndietroValore);
    delay(defaultDelay);
    ruotaDestra.write(ruotaDestraIndietroValore);
    delay(defaultDelay);
  }
delay(200);
}
